addhook("parse", "ee_console")

function string.split(t,b)
	local cmd = {}
	local match = "[^%s]+"
	if type(b) == "string" then match = "[^"..b.."]+" end
	for word in string.gmatch(t, match) do table.insert(cmd, word) end
	return cmd
end

wpnnames = {}
ignorecmd = false

for i = 1, 256 do
    wpnnames[i] = (itemtype(i, "name") ~= "") and itemtype(i, "name") or "NULL"
end

function WPNname (wpnid)
	local wpnf = {}
	if type(wpnid) == "number" then
		return wpnnames[wpnid]
	elseif type(wpnid) == "string" then
		for i = 1, 256 do
			if string.lower(wpnnames[i]) == string.lower(wpnid) then
				return i
			elseif string.find(string.lower(wpnnames[i]), string.lower(wpnid)) then
				table.insert(wpnf, wpnnames[i])
			end
		end
		if #wpnf > 0 then
			return "Found "..#wpnf.." item(s) for \""..wpnid.."\": "..table.concat(wpnf, ", ")
		end
	end
end

function ee_console (cmd)
	cmd = string.split(cmd)
	if ( string.lower(cmd[1]) == "equip" ) then
        if ( not ignorecmd ) then
            ignorecmd = true
            if ( type(tonumber(cmd[3])) == "number" ) then
                parse("equip "..cmd[2].." "..cmd[3])
            elseif ( type(cmd[3]) == "string" ) then
                parse("equip "..cmd[2].." "..WPNname(table.concat(cmd, " ", 3, #cmd)))
            end
            return 2
        else
            ignorecmd = false
        end
	elseif ( string.lower(cmd[1]) == "strip") then
        if ( not ignorecmd ) then
            ignorecmd = true
            if ( type(tonumber(cmd[3])) == "number" ) then
                parse("strip "..cmd[2].." "..cmd[3])
            elseif ( type(cmd[3]) == "string" ) then
                parse("strip "..cmd[2].." "..WPNname(table.concat(cmd, " ", 3, #cmd)))
            end
            return 2
        else
            ignorecmd = false
        end
	elseif ( string.lower(cmd[1]) == "itemid") then
		print(string.upper(table.concat(cmd, " ", 2, #cmd)).." ID: "..WPNname(table.concat(cmd, " ", 2, #cmd)))
        return 2
    end
end

